#ifndef _opel_LCDSeg_
#define _opel_LCDSeg_

//	Hier werden die Bitpositionen, in den Kaskadierten Schieberegister der beiden LCD-Treiber, der Segmente festgehalten.
//	Verwendung nur innerhalb der opelLCD.c

// Bytes von a-l durchnummeriert, a == erstes Byte im ersten Kontroller /\ l letztes Byte im letzten Kontroller



#define lcd_byte_l_unused3		(1<<7)
#define lcd_byte_l_unused2		(1<<6)
#define lcd_byte_l_symbol_mid		(1<<5)
#define lcd_byte_l_s3_c			(1<<4)
#define lcd_byte_l_s3_b			(1<<3)
#define lcd_byte_l_s3_a			(1<<2)
#define lcd_byte_l_s3_f			(1<<1)
#define lcd_byte_l_s3_g			(1<<0)


#define lcd_byte_k_s3_e			(1<<7)
#define lcd_byte_k_s3_d			(1<<6)
#define lcd_byte_k_s2_c			(1<<5)
#define lcd_byte_k_s2_b			(1<<4)		// nicht sicher ?!
#define lcd_byte_k_s2_a			(1<<3)
#define lcd_byte_k_s2_f			(1<<2)		// nicht sicher ?!
#define lcd_byte_k_dzm1			(1<<1)
#define lcd_byte_k_dzm2			(1<<0)


#define lcd_byte_j_dzm3			(1<<7)
#define lcd_byte_j_dzm4			(1<<6)
#define lcd_byte_j_dzm5			(1<<5)
#define lcd_byte_j_dzm6			(1<<4)
#define lcd_byte_j_dzm7			(1<<3)
#define lcd_byte_j_dzm8			(1<<2)
#define lcd_byte_j_dzm9			(1<<1)
#define lcd_byte_j_dzm10		(1<<0)


#define lcd_byte_i_dzm11		(1<<7)
#define lcd_byte_i_dzm12		(1<<6)
#define lcd_byte_i_dzm13		(1<<5)
#define lcd_byte_i_dzm14		(1<<4)
#define lcd_byte_i_dzm15		(1<<3)
#define lcd_byte_i_dzm16		(1<<2)
#define lcd_byte_i_dzm17		(1<<1)
#define lcd_byte_i_dzm18		(1<<0)


#define lcd_byte_h_dzm19		(1<<7)
#define lcd_byte_h_dzm20		(1<<6)
#define lcd_byte_h_dzm21		(1<<5)
#define lcd_byte_h_dzm22		(1<<4)
#define lcd_byte_h_dzm23		(1<<3)
#define lcd_byte_h_dzm27		(1<<2)
#define lcd_byte_h_dzm28		(1<<1)
#define lcd_byte_h_dzm29		(1<<0)


#define lcd_byte_g_dzm30		(1<<7)
#define lcd_byte_g_dzm31		(1<<6)
#define lcd_byte_g_dzm32		(1<<5)
#define lcd_byte_g_dzm33		(1<<4)
#define lcd_byte_g_symbol_right		(1<<3)			// Strange behavior
#define lcd_byte_g_dzm26		(1<<2)
#define lcd_byte_g_dzm25		(1<<1)
#define lcd_byte_g_dzm24		(1<<0)


#define lcd_byte_f_s2_g			(1<<7)
#define lcd_byte_f_s2_e			(1<<6)
#define lcd_byte_f_s2_d			(1<<5)
#define lcd_byte_f_s1_c			(1<<4)
#define lcd_byte_f_s1_b			(1<<3)
#define lcd_byte_f_s1_adeg		(1<<2)
#define lcd_byte_f_unused		(1<<1)
#define lcd_byte_f_symbol_left		(1<<0)


#define lcd_byte_e_oilwarn		(1<<7)
#define lcd_byte_e_oil1			(1<<6)
#define lcd_byte_e_oil2			(1<<5)
#define lcd_byte_e_oil3			(1<<4)
#define lcd_byte_e_oil4			(1<<3)
#define lcd_byte_e_oil5			(1<<2)
#define lcd_byte_e_voltwarn		(1<<1)
#define lcd_byte_e_volt1		(1<<0)


#define lcd_byte_d_volt2		(1<<7)
#define lcd_byte_d_volt3		(1<<6)
#define lcd_byte_d_volt4		(1<<5)
#define lcd_byte_d_volt5		(1<<4)
#define lcd_byte_d_volt6		(1<<3)
#define lcd_byte_d_tempwarn		(1<<2)
#define lcd_byte_d_temp1		(1<<1)
#define lcd_byte_d_temp2		(1<<0)


#define lcd_byte_c_temp3		(1<<7)
#define lcd_byte_c_temp4		(1<<6)
#define lcd_byte_c_temp5		(1<<5)
#define lcd_byte_c_temp6		(1<<4)
#define lcd_byte_c_tankwarn		(1<<3)
#define lcd_byte_c_tank1		(1<<2)
#define lcd_byte_c_tank2		(1<<1)
#define lcd_byte_c_tank3		(1<<0)


#define lcd_byte_b_tank4		(1<<7)
#define lcd_byte_b_tank5		(1<<6)
#define lcd_byte_b_tank6		(1<<5)
#define lcd_byte_b_tank7		(1<<4)
#define lcd_byte_b_tank8		(1<<3)
#define lcd_byte_b_tank9		(1<<2)
#define lcd_byte_b_tank10		(1<<1)
#define lcd_byte_b_tank11		(1<<0)


#define lcd_byte_a_tank12		(1<<7)
#define lcd_byte_a_unused7		(1<<6)
#define lcd_byte_a_unused6		(1<<5)
#define lcd_byte_a_unused5		(1<<4)
#define lcd_byte_a_unused4		(1<<3)
#define lcd_byte_a_unused3		(1<<2)
#define lcd_byte_a_unused2		(1<<1)
#define lcd_byte_a_unused1		(1<<0)


#endif