#include <avr/io.h>

#include "spi.h"
#include "config.h"

void spi_init()
{
	spi_ddr |=  (1<<spi_mosi_pin) | (1<<spi_sck_pin) | (1<<spi_ss_pin);
	spi_ddr &= ~(1<<spi_miso_pin);

	SPCR = (1<<SPE) | (1<<MSTR) | (1<<SPR0);   // ToDo: Clock /4 in Config.h packen

	return;
}

void spi_deinit()
{
	SPCR = 0;

	return;
}

void spi_send(uint8_t data)
{
	SPDR = data;
	while (!(SPSR & (1<<SPIF)));

	return;
}

uint8_t spi_receive()
{
	return (SPDR);
}
